Update Status Page
PATCH /api/status-pages/:id
Update Status Page
PATCH /api/status-pages/:id
Updates a status page. At least one field must be provided. Requires admin role.
Request Body (all optional)
| Field | Type | Description |
|---|---|---|
customerId | number | Move status page to another customer |
name | string | Display name (1–120 chars) |
slug | string | URL slug (1–120 chars, 409 on conflict) |
description | string|null | Description (max 1000 chars). null clears it. |
visibility | string | public or customer_members_only |
isPublished | boolean | Publish or unpublish the page |
showRecentIncidents | boolean | Show recent incidents section |
showRecentMaintenance | boolean | Show recent maintenance section |
designConfig | object | Visual design settings (layout, colors, typography, …). See Update Status Page Design for all fields. |
Example (cURL)
curl -X PATCH "$BASE_URL/api/status-pages/1" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Production Status - Updated",
"isPublished": true,
"showRecentIncidents": true
}'
Common errors
401 Unauthorizedwhen not authenticated403 Forbiddenwhen not an admin404 Not foundwhen the status page does not exist409 Conflictwhen slug is already taken